export declare const version = "1.3.5";
export declare const url = "https://api.dev-up.ru/method/";
declare type RequestParam = {
    key: string;
    value: number | string | boolean;
};
declare class ModuleError extends Error {
    constructor(message: string);
    protected get [Symbol.toStringTag](): string;
    /**
     * Возвращает содержимое ошибки в JSON
     */
    protected toJSON(): Pick<this, keyof this>;
}
/**
 * Основной класс ошибок которые могут произойти в модуле
 * @hideconstructor
 */
export declare class DevUpError extends ModuleError {
    /**
     * Код ошибки
     */
    code: string | number;
    /**
     * Параметры запроса
     */
    params: RequestParam[];
    /**
     * Уровень критичности ошибки
     */
    level: string;
    /**
     * Стэк ошибки
     */
    stack: string;
    constructor({ err_code: code, err_critical_lvl: level, err_msg: message, params: params, }: {
        err_code: number;
        err_critical_lvl: string;
        err_msg: string;
        params: RequestParam[];
    });
}
export declare class DDOS_Guard extends ModuleError {
    constructor();
}
export {};
