"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Builder = void 0;
const axios_1 = __importDefault(require("axios"));
const Core = __importStar(require("../../core"));
class Builder {
    constructor(params) {
        this.RequestConfig = {
            headers: {
                "User-Agent": `api-devup@${Core.version}`,
            },
        };
        this.apiURL = Core.url;
        if (typeof params === "string") {
            this.token = params;
        }
        else {
            this.token = params.token;
            this.RequestConfig.headers =
                params.apiHeaders || this.RequestConfig.headers;
            this.apiURL = params.apiURL || this.apiURL;
        }
    }
    postRequest(method, 
    // eslint-disable-next-line @typescript-eslint/no-explicit-any
    data) {
        return __awaiter(this, void 0, void 0, function* () {
            return new Promise((resolve, reject) => {
                axios_1.default
                    .post(this.apiURL + method, Object.assign({ key: this.token }, data), this.RequestConfig)
                    .then((response) => {
                    if (response.data.err) {
                        reject(new Core.DevUpError(response.data.err));
                    }
                    resolve(response.data);
                })
                    .catch((err) => {
                    var _a, _b, _c, _d;
                    if (((_b = (_a = err.response) === null || _a === void 0 ? void 0 : _a.headers) === null || _b === void 0 ? void 0 : _b.server) === "ddos-guard") {
                        reject(new Core.DDOS_Guard());
                    }
                    if ((_d = (_c = err.response) === null || _c === void 0 ? void 0 : _c.data) === null || _d === void 0 ? void 0 : _d.err) {
                        reject(new Core.DevUpError(err.response.data.err));
                    }
                    else {
                        reject(err);
                    }
                });
            });
        });
    }
}
exports.Builder = Builder;
