import { IOptions, API_Response } from "./../../../types";
import { Builder } from "./../main";
import * as md5Generate from "./methods/md5Generate";
import * as getServerTime from "./methods/getServerTime";
import * as createShortLink from "./methods/createShortLink";
import * as notificationsLinks from "./methods/notificationsLinks";
import * as getWebInfo from "./methods/getWebInfo";
export default class Utils extends Builder {
    constructor(params: IOptions | string);
    md5Generate: (params: md5Generate.Params) => API_Response<md5Generate.Response>;
    getServerTime: (params?: getServerTime.Params | undefined) => API_Response<getServerTime.Response>;
    createShortLink: (params: createShortLink.Params) => API_Response<createShortLink.Response>;
    notificationsLinks: (params: notificationsLinks.Params) => API_Response<notificationsLinks.Response>;
    getWebInfo: (params: getWebInfo.Params) => API_Response<getWebInfo.Response>;
}
